Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003770TestLinkRequirement Managementpublic2010-09-10 23:032019-01-19 15:10
Reporterapugohome 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 6 
Fixed in Version1.9.18 (2018 Q3) 
Summary0003770: Existing test cases are always assigned to the latest version of a requirement
DescriptionWhen a new version of a requirement is created, all linked test cases are linked to the latest version. Is there a way to implement the coverage so that test cases are linked to a specific version of a requirement?
Steps To Reproduce-Create a requirement
-link to a test case
-Create a new version of the requirement
-Test case is now linked to the latest version of the requirement
Additional InformationSometimes a requirement changes and the corresponding set of test cases have to be updated to account for the change in the requirement. However, existing test cases should ideally not be affected and should be able to point to the previous version of the requirement.
TagsOUTDATED TEST CASES
Database (MySQL,Postgres,etc)mysql 5.1.49
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0011329)
Julian (reporter)
2010-09-11 07:06
edited on: 2010-09-11 07:15

this is a feature to be discussed for testlink 2.0
for 1.9 there won't be a change

In my eyes it will be a real pain to link a requirement to multiple tc versions. think of the effort when you want to update the linked version(s) of a tc.

i would prefer some mechanism like this:
- requirements are linked to "latest" test case version
- if requirement is edited all linked test cases get an indicator that they are maybe outdated
- via an extra page to "show outdated test cases" the user is able to mark test cases as "not outdated" -> reset indicator. test cases that are really outdated can be edited and then be marked as "not outdated"


- Issue History
Date Modified Username Field Change
2010-09-10 23:03 apugohome New Issue
2010-09-11 07:06 Julian Note Added: 0011329
2010-09-11 07:15 Julian Note Edited: 0011329 View Revisions
2010-09-12 12:58 fman Status new => feedback
2012-11-25 18:11 fman Tag Attached: OUTDATED TEST CASES
2019-01-19 15:10 fman QA Team - Task Workflow Status => TBD
2019-01-19 15:10 fman Status feedback => resolved
2019-01-19 15:10 fman Fixed in Version => 1.9.18 (2018 Q3)
2019-01-19 15:10 fman Resolution open => fixed
2019-01-19 15:10 fman Assigned To => fman



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker